GET api/group/{id}/getpropertyroleidsalreadysent?withinDays={withinDays}&resendPriceChangedProperties={resendPriceChangedProperties}
returns a list of the property role ids that should be excluded from mailouts to this role id because the have been sent before Processes this group API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
The id of the group |
integer |
Required |
| withinDays |
number of days since the last time it was sent, send 0 for all |
integer |
Default value is 0 |
| resendPriceChangedProperties |
include the properties that have had to a price change or withdrawn event since it was last sent to them |
boolean |
Default value is True |
Body Parameters
None.
Response Information
Resource Description
PropertyRoleIds
Collection of integerResponse Formats
application/json, text/json
Sample:
[ 1, 2 ]